Bug 1272211 - (TEIID-3757-DV6.1.5) OData $top not working for virtual procedures
OData $top not working for virtual procedures
Status: ASSIGNED
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: jolee
Filip Elias
:
Depends On:
Blocks: 1267577
  Show dependency treegraph
 
Reported: 2015-10-15 15:06 EDT by dsteigne
Modified: 2017-05-09 08:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: TEIID-3757-DV6.2.2 (view as bug list)
Environment:
Last Closed:
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample vdb with proctest, input param is string_in (57.05 KB, application/zip)
2015-10-15 15:06 EDT, dsteigne
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-3757 Major Closed OData V2: $top doesn't work with virtual procedures 2017-05-10 10:04 EDT
Red Hat Knowledge Base (Solution) 1992013 None None None Never

  None (edit)
Description dsteigne 2015-10-15 15:06:34 EDT
Created attachment 1083352 [details]
Sample vdb with proctest, input param is string_in

Description of problem:
See TEIID-3757



When using OData to query a virtual procedure with a input parameter $top gets ignored:

http://127.0.0.1:8080/odata/odat/proctest?string_in='30'&$top=5

Returns all the rows.


Version-Release number of selected component (if applicable):
6.1.3

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 JBoss JIRA Server 2015-10-21 16:32:18 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3757 to Resolved
Comment 2 jolee 2015-12-03 11:15:41 EST
git@github.com:jboss-integration/teiid.git : 8.7.x-prod-ipv6.1 : 058687a

git@github.com:teiid/teiid.git : 8.7.x : 058687a
Comment 3 JBoss JIRA Server 2015-12-03 12:41:38 EST
Johnathon Lee <jolee@redhat.com> updated the status of jira TEIID-3757 to Reopened
Comment 4 JBoss JIRA Server 2015-12-03 12:42:09 EST
Johnathon Lee <jolee@redhat.com> updated the status of jira TEIID-3757 to Closed

Note You need to log in before you can comment on or make changes to this bug.